#ifndef _MQTT_H_
#define _MQTT_H_

#include <WString.h>
#include <PubSubClient.h>

#include "settings.hpp"

class MQTT
{

public:
    MQTT(Settings *settings, MQTT_CALLBACK_SIGNATURE);
    void connect();
    void send(String);
    void loop();

private:
    Settings *settings = nullptr;
    PubSubClient *client = nullptr;
};

#endif