#ifndef _DISPLAY_H_
#define _DISPLAY_H_

#define LGFX_M5PAPER
#define LGFX_USE_V1
#define LGFX_AUTODETECT

#include <LovyanGFX.hpp>

class Display : public LGFX
{
public:
    void init()
    {
        LGFX::init();
        setRotation(1);

        setEpdMode(epd_mode_t::epd_quality);
        fillScreen(TFT_WHITE);
        waitDisplay();
        fillScreen(TFT_WHITE);
        setEpdMode(epd_mode_t::epd_fast);

        setColor(TFT_BLACK);
    }
};

#endif